Vector API/es: Difference between revisions

From FreeCAD Documentation
(Created page with 'Los vectores se utilizan en todas partes en FreeCAD. Ejemplo: v=FreeCAD.Vector() v=FreeCAD.Vector(1,0,0) v=FreeCAD.Base.Vector() v2 = FreeCAD.Vector(3,2,-5) v3 = v.add(v2) …')
 
(Updating to match new version of source page)
Line 1: Line 1:
Los vectores se utilizan en todas partes en FreeCAD.
Vectors are used everywhere in FreeCAD.


Example:
Ejemplo:
<pre>
v=FreeCAD.Vector()
v=FreeCAD.Vector(1,0,0)
v=FreeCAD.Vector()
v=FreeCAD.Base.Vector()
v=FreeCAD.Vector(1,0,0)
v2 = FreeCAD.Vector(3,2,-5)
v=FreeCAD.Base.Vector()
v3 = v.add(v2)
v2 = FreeCAD.Vector(3,2,-5)
v3 = v.add(v2)
print v3.Length
print v3.Length
</pre>


{{APIProperty/es|Length|Devuelve la longitud del vector.}}


{{APIProperty|Length|returns the length of the vector.}}
{{APIFunction/es|add|Vector|Añade otro vector a este|La suma de ambos vectores.}}


{{APIFunction/es|cross|Vector| |El producto vectorial de dos vectores.}}
{{APIFunction|add|Vector|adds another vector to this one|the sum of both vectors.}}


{{APIFunction|cross|Vector| |the crossproduct between two vectors.}}
{{APIFunction/es|distanceToLine|Vector1,Vector2| |La distancia entre el vector y una línea entre el Vector1 y Vector2.}}


{{APIFunction/es|distanceToPlane|Vector1,Vector2| |La distancia entre el vector y un plano definido por un punto y una normal.}}
{{APIFunction|distanceToLine|Vector1,Vector2| |the distance between the vector and a line between Vector1 and Vector2.}}


{{APIFunction/es|dot|Vector| |El producto escalar de dos vectores.}}
{{APIFunction|distanceToPlane|Vector1,Vector2| |the distance between the vector and a plane defined by a point and a normal.}}


{{APIFunction/es|getAngle|Vector| |El ángulo en radianes entre dos vectores.}}
{{APIFunction|dot|Vector| |the dot product between 2 vectors.}}


{{APIFunction/es|multiply|Float|Multiplica (escala) un vector por el factor dado|Nada.}}
{{APIFunction|getAngle|Vector| |the angle in radians between 2 vectors.}}


{{APIFunction/es|normalize| |Normaliza un vector (establece su longitud a 1.0).|Nada.}}
{{APIFunction|multiply|Float|multiplies (scales) a vector by the given factor|nothing.}}


{{APIFunction/es|projectToLine|Vector1,Vector2|Proyecta el vector sobre una línea entre Vector1 y Vector2.|Nada.}}
{{APIFunction|normalize| |normalizes a vector (sets its length to 1.0).|nothing.}}


{{APIFunction/es|projectToPlane|Vector1,Vector2|Proyecta el vector sobre un plano definido por un punto y una normal.|Nada.}}
{{APIFunction|projectToLine|Vector1,Vector2|projects the vector on a line between Vector1 and Vector2.|nothing.}}


{{APIFunction|projectToPlane|Vector1,Vector2|projects the vector on a plane defined by a point and a normal.|nothing.}}
{{APIFunction/es|scale|Float,Float,Float|Lo mismo que multiplicar pero permite especificar valores diferentes para las direcciones X, Y y Z.|Nada.}}


{{APIFunction|scale|Float,Float,Float|Same as multiply but lets specify different values for x, y and z directions.|nothing.}}
{{APIFunction/es|sub|Vector|Resta otro vector del primero.|El vector resultante.}}


{{APIFunction|sub|Vector|subtracts another vector from the first one.|the resulting vector.}}
{{APIProperty/es|x|La coordenada X de un vector.}}


{{APIProperty/es|y|La coordenada Y de un vector.}}
{{APIProperty|x|the x coordinate of a vector.}}


{{APIProperty/es|z|La coordenada Z de un vector.}}
{{APIProperty|y|the y coordinate of a vector.}}


{{APIProperty|z|the z coordinate of a vector.}}
{{languages/es | {{en|Vector_API}} }}


[[Category:API/es]]
[[Category:API]]

{{clear}}
<languages/>

Revision as of 21:09, 11 November 2014

Vectors are used everywhere in FreeCAD.

Example:

v=FreeCAD.Vector()
v=FreeCAD.Vector(1,0,0)
v=FreeCAD.Base.Vector()
v2 = FreeCAD.Vector(3,2,-5)
v3 = v.add(v2)
print v3.Length


Length

Returns: returns the length of the vector.

add(Vector)

Description: adds another vector to this one

Returns: the sum of both vectors.

cross(Vector)

Description:

Returns: the crossproduct between two vectors.

distanceToLine(Vector1,Vector2)

Description:

Returns: the distance between the vector and a line between Vector1 and Vector2.

distanceToPlane(Vector1,Vector2)

Description:

Returns: the distance between the vector and a plane defined by a point and a normal.

dot(Vector)

Description:

Returns: the dot product between 2 vectors.

getAngle(Vector)

Description:

Returns: the angle in radians between 2 vectors.

multiply(Float)

Description: multiplies (scales) a vector by the given factor

Returns: nothing.

normalize( )

Description: normalizes a vector (sets its length to 1.0).

Returns: nothing.

projectToLine(Vector1,Vector2)

Description: projects the vector on a line between Vector1 and Vector2.

Returns: nothing.

projectToPlane(Vector1,Vector2)

Description: projects the vector on a plane defined by a point and a normal.

Returns: nothing.

scale(Float,Float,Float)

Description: Same as multiply but lets specify different values for x, y and z directions.

Returns: nothing.

sub(Vector)

Description: subtracts another vector from the first one.

Returns: the resulting vector.

x

Returns: the x coordinate of a vector.

y

Returns: the y coordinate of a vector.

z

Returns: the z coordinate of a vector.

Other languages: